Name:		dasm-tigcc
Version:	1.00
Release:	0.1.20070618
Vendor:		TIGCC Team (http://tigcc.ticalc.org)
Packager:	Kevin Kofler <Kevin@tigcc.ticalc.org>
Source:		%{name}.tar.bz2
Group:		Development/Tools
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:	dasm-tigcc is a TI89(Ti)/92(+)/V200 disassembler
%description
dasm-tigcc is a GPLed TI89(Ti)/92(+)/V200 disassembler, based on code from
ttdasm, libopcodes/GDB, TiEmu, libtifiles2 and ld-tigcc. Unlike in ttdasm, no
code from Virtual TI is used, so dasm-tigcc is free of licensing issues.

%prep
%setup -c

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp -pf dasm-tigcc ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/doc/dasm-tigcc-%{version}
cp -pf COPYING ${RPM_BUILD_ROOT}%{_datadir}/doc/dasm-tigcc-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/dasm-tigcc
%doc %{_datadir}/doc/dasm-tigcc-%{version}

%changelog
* Mon Jun 18 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.00-0.1.20070618
Bump release.

* Fri Apr 6 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.00-0.1.20070406
First Fedora RPM.
